import { View, Image } from "@tarojs/components";
import picture_01 from "@/assets/picture_01.png";
import picture_02 from "@/assets/picture_02.png";
import picture_03 from "@/assets/picture_03.png";
import picture_04 from "@/assets/picture_04.png";
import picture_05 from "@/assets/picture_05.png";
import picture_06 from "@/assets/picture_06.png";
import { setLampEffect } from "@/utils/sendOrder";
import BLESDK from '@/utils/ble'
import Taro from "@tarojs/taro";
import "./index.less";


export default function Index() {
  const images = [picture_01, picture_02, picture_03, picture_04, picture_05, picture_06]
  BLESDK.onBLECharacteristicValueChange((bytes) => {
    let str = '操作成功'
    if (bytes[0] == 0x7A && bytes[4] == 0xB3 && bytes[5] != 0x00) {
      str = '操作失败'
    }
    Taro.showToast({ title: str, icon: 'none' })
  })

  return (
    <View className='lampEffect index'>
      <View className='list'>
        {images.map((item, index) => <Image src={item} className='img' key={index} onClick={() => setLampEffect(index)} />)}
      </View>
    </View>
  );
}
